# StandardComparator Class Reference

Inheritance diagram for StandardComparator:
[legend]

List of all members.

## Public Member Functions

| setCmpFunction ($name)
| compare ($one, $two)

## Static Public Member Functions

static | me ()

## Private Attributes

| $cmpFunction = 'strcmp'

## Detailed Description

Definition at line 12 of file StandardComparator.class.php.

## Member Function Documentation

StandardComparator::compare | ( | $ | one,
|  | $ | two |
| ) |  |  |

Definition at line 29 of file StandardComparator.class.php.

static StandardComparator::me | ( |  | ) | `[static]`

Implements Instantiatable.

Definition at line 17 of file StandardComparator.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

StandardComparator::setCmpFunction | ( | $ | name | ) |

Definition at line 22 of file StandardComparator.class.php.

## Member Data Documentation

StandardComparator::$cmpFunction = 'strcmp'`[private]`

Definition at line 15 of file StandardComparator.class.php.

The documentation for this class was generated from the following file:

- main/Base/StandardComparator.class.php